public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/dbus-glib/
Date: Mon, 19 Sep 2016 01:33:42 +0000 (UTC)	[thread overview]
Message-ID: <1474248811.52241454e648e896bf1136ec6e2b98daf932f769.mrueg@gentoo> (raw)

commit:     52241454e648e896bf1136ec6e2b98daf932f769
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 19 01:33:00 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Sep 19 01:33:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52241454

dev-libs/dbus-glib: Version bump to 0.108

Package-Manager: portage-2.3.0

 dev-libs/dbus-glib/Manifest               |  1 +
 dev-libs/dbus-glib/dbus-glib-0.108.ebuild | 95 +++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/dev-libs/dbus-glib/Manifest b/dev-libs/dbus-glib/Manifest
index 836e7fb..4be9caf 100644
--- a/dev-libs/dbus-glib/Manifest
+++ b/dev-libs/dbus-glib/Manifest
@@ -1,3 +1,4 @@
 DIST dbus-glib-0.102.tar.gz 783792 SHA256 6964ed585bb8149a14ab744b5ded5e77cf71ec5446e6dcc5fcf5eebcc52df29c SHA512 9bf4b33dd264eaed9ade0e35f0ad47986c31bd5e3de4d3e2fcee66a9be87000b6121bc810b9a5a24eca53190d98323b871dc78f341df8e05bd0247b096cf778f WHIRLPOOL b83f12877118dca1797c935f57a6ae664fbfc70c4d2fb2d95d2cf11abb7c326a098f336225ffb9030fac00a33d988a30038e2734721fc1ddbb5297f864e01bcf
 DIST dbus-glib-0.104.tar.gz 793417 SHA256 bfc1f1a82bfc3ec3ecafe04d0e87bab7e999f50dce4f4a34d0b89caf6bd821f6 SHA512 eff599f169976055545b51459d77845002d8bc7e8dcd056cec2bf83836d07c66b03baed2023bc87a6d7c021d35c744987830f8ed6f9c3391a49ee199db85134b WHIRLPOOL 6e757dee52ea11a7e43cc22a090243cd77ae0b38439fead755c78a6e8b7d6e7e2b1bb1218e23396513e33ef555e35b556f3b333a190077fd9472288e3e96ce91
 DIST dbus-glib-0.106.tar.gz 793343 SHA256 b38952706dcf68bad9c302999ef0f420b8cf1a2428227123f0ac4764b689c046 SHA512 13a1d4600add29d29dbb8d1271570e6c04f70ddff0862d28fcb7df774bfa76a961f90303f897f3b970070eb959e909d5d02a94941e2edd8ba315b9aaa3a602cb WHIRLPOOL 059cb497af2fe957fe3234db62c629eba3581a119211d05e21acac6b0ce9b15614c57f8d7ea63264a688498691deee0fa3035c7413a48c9f3679a196c159d867
+DIST dbus-glib-0.108.tar.gz 812488 SHA256 9f340c7e2352e9cdf113893ca77ca9075d9f8d5e81476bf2bf361099383c602c SHA512 9fa7cd1c22bf6ee1e345dd6fe48aa725abc01b3b180ba430efea9996403ad99636b2c40f682956978ae5049c110c3298fa199470a4cc05907e11773d034ea5b1 WHIRLPOOL 260f600e188f1201f08c742f505f34a2288a077d7d4f9727d430b6cb5da52ea6ed0edd7ad21ee993e8f17f87d7f24b6a2561a96702a5d29541ff19904efd35b2

diff --git a/dev-libs/dbus-glib/dbus-glib-0.108.ebuild b/dev-libs/dbus-glib/dbus-glib-0.108.ebuild
new file mode 100644
index 00000000..fe0947b
--- /dev/null
+++ b/dev-libs/dbus-glib/dbus-glib-0.108.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit bash-completion-r1 eutils multilib-minimal
+
+DESCRIPTION="D-Bus bindings for glib"
+HOMEPAGE="https://dbus.freedesktop.org/"
+SRC_URI="https://dbus.freedesktop.org/releases/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x86-solaris"
+IUSE="debug static-libs test"
+
+CDEPEND="
+	>=dev-libs/expat-2.1.0-r3[${MULTILIB_USEDEP}]
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	>=sys-apps/dbus-1.8[${MULTILIB_USEDEP}]
+"
+DEPEND="${CDEPEND}
+	>=dev-util/gtk-doc-am-1.14
+	virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+	abi_x86_32? (
+		!<app-emulation/emul-linux-x86-baselibs-20131008-r8
+		!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+	)
+"
+
+DOCS=( AUTHORS ChangeLog HACKING NEWS README )
+
+set_TBD() {
+	# out of sources build dir for make check
+	export TBD="${BUILD_DIR}-tests"
+}
+
+src_prepare() {
+	epatch_user
+}
+
+multilib_src_configure() {
+	local myconf=(
+		--localstatedir="${EPREFIX}"/var
+		--enable-bash-completion
+		--disable-gtk-doc
+		$(use_enable debug asserts)
+		$(use_enable static-libs static)
+	)
+
+	ECONF_SOURCE="${S}" econf "${myconf[@]}"
+
+	ln -s "${S}"/doc/reference/html doc/reference/html #460042
+
+	if use test; then
+		set_TBD
+		mkdir "${TBD}"
+		cd "${TBD}"
+		einfo "Running configure in ${TBD}"
+		ECONF_SOURCE="${S}" econf \
+			"${myconf[@]}" \
+			$(use_enable test checks) \
+			$(use_enable test tests) \
+			$(use_enable test asserts) \
+			$(use_with test test-socket-dir "${T}"/dbus-test-socket)
+	fi
+}
+
+multilib_src_compile() {
+	emake
+
+	if use test; then
+		set_TBD
+		cd "${TBD}"
+		einfo "Running make in ${TBD}"
+		emake
+	fi
+}
+
+multilib_src_test() {
+	set_TBD
+	cd "${TBD}"
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	newbashcomp "${ED}"/etc/bash_completion.d/dbus-bash-completion.sh dbus-send
+	rm -rf "${ED}"/etc/bash_completion.d || die
+
+	prune_libtool_files
+}


             reply	other threads:[~2016-09-19  1:33 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-19  1:33 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-01 16:15 [gentoo-commits] repo/gentoo:master commit in: dev-libs/dbus-glib/ Sam James
2022-05-06  2:39 WANG Xuerui
2021-08-26 19:51 Sam James
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-08-24 11:42 Agostino Sarubbo
2021-08-24 11:41 Agostino Sarubbo
2021-08-24 11:41 Agostino Sarubbo
2021-08-24 11:40 Agostino Sarubbo
2021-08-23 22:16 Agostino Sarubbo
2021-07-16 12:48 Andreas Sturmlechner
2020-11-23  2:09 Mike Gilbert
2020-11-23  1:57 Mike Gilbert
2019-05-09 21:29 Aaron Bauman
2018-11-18  0:36 Gilles Dartiguelongue
2018-11-18  0:36 Gilles Dartiguelongue
2018-11-08 23:35 Sergei Trofimovich
2018-10-17 11:10 Mikle Kolyada
2018-10-14 16:21 Mikle Kolyada
2018-10-12  7:32 Tobias Klausmann
2018-10-06 19:46 Matt Turner
2018-10-06 19:46 Matt Turner
2018-09-30 21:38 Sergei Trofimovich
2018-09-28  8:12 Mikle Kolyada
2018-09-24 21:26 Sergei Trofimovich
2018-07-21 17:16 Mikle Kolyada
2018-03-30 20:18 Sergei Trofimovich
2018-03-25 20:40 Gilles Dartiguelongue
2018-02-14 23:49 Manuel Rüger
2017-07-28  4:40 Markus Meier
2017-06-30 11:10 Agostino Sarubbo
2017-06-30  8:24 Sergei Trofimovich
2017-06-28 13:19 Agostino Sarubbo
2017-01-29 16:07 Fabian Groffen
2016-01-19 20:46 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1474248811.52241454e648e896bf1136ec6e2b98daf932f769.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox